libqxp::Rect Struct Reference

`#include <QXPTypes.h>`

## Public Member Functions

| Rect ()
| Rect (double t, double r, double b, double l)
double | width () const
double | height () const
Point | center () const
Point | topLeft () const
Point | topRight () const
Point | bottomRight () const
Point | bottomLeft () const
Rect | shrink (const double diff) const

## Public Attributes

double | top
double | right
double | bottom
double | left

## Constructor & Destructor Documentation

## Rect() [1/2]

libqxp::Rect::Rect | ( |  | ) |

Referenced by shrink().

## Rect() [2/2]

libqxp::Rect::Rect | ( | double | t,
|  | double | r,
|  | double | b,
|  | double | l )

## Member Function Documentation

## bottomLeft()

Point libqxp::Rect::bottomLeft | ( |  | ) | const

## bottomRight()

Point libqxp::Rect::bottomRight | ( |  | ) | const

## center()

Point libqxp::Rect::center | ( |  | ) | const

## height()

double libqxp::Rect::height | ( |  | ) | const

Referenced by center().

## shrink()

Rect libqxp::Rect::shrink | ( | const double | diff | ) | const

## topLeft()

Point libqxp::Rect::topLeft | ( |  | ) | const

Referenced by center().

## topRight()

Point libqxp::Rect::topRight | ( |  | ) | const

## width()

double libqxp::Rect::width | ( |  | ) | const

Referenced by center().

## Member Data Documentation

## bottom

double libqxp::Rect::bottom

Referenced by bottomLeft(), bottomRight(), height(), libqxp::QXP1Parser::parseObject(), libqxp::QXP1Parser::parseParagraphFormat(), libqxp::QXP33Parser::parseParagraphFormat(), libqxp::QXP4Parser::parseParagraphFormat(), libqxp::QXPParser::readObjectBBox(), libqxp::QXP4Parser::readTextSettings(), Rect(), Rect(), and shrink().

## left

double libqxp::Rect::left

Referenced by bottomLeft(), libqxp::QXP1Parser::parseObject(), libqxp::QXP1Parser::parseParagraphFormat(), libqxp::QXP33Parser::parseParagraphFormat(), libqxp::QXP4Parser::parseParagraphFormat(), libqxp::QXPParser::readObjectBBox(), libqxp::QXP4Parser::readTextSettings(), Rect(), Rect(), shrink(), topLeft(), and width().

## right

double libqxp::Rect::right

Referenced by bottomRight(), libqxp::QXP1Parser::parseObject(), libqxp::QXP1Parser::parseParagraphFormat(), libqxp::QXP33Parser::parseParagraphFormat(), libqxp::QXP4Parser::parseParagraphFormat(), libqxp::QXPParser::readObjectBBox(), libqxp::QXP4Parser::readTextSettings(), Rect(), Rect(), shrink(), topRight(), and width().

## top

double libqxp::Rect::top

Referenced by height(), libqxp::QXP1Parser::parseObject(), libqxp::QXP1Parser::parseParagraphFormat(), libqxp::QXP33Parser::parseParagraphFormat(), libqxp::QXP4Parser::parseParagraphFormat(), libqxp::QXPParser::readObjectBBox(), libqxp::QXP4Parser::readTextSettings(), Rect(), Rect(), shrink(), topLeft(), and topRight().

The documentation for this struct was generated from the following files:

- QXPTypes.h
- QXPTypes.cpp